# DESCRIPTION
#
#    Take diffs between dmesg boot logs. After each boot, save log with:
#
#    $ dmesg > dmesg-$(date +"%Y%m%d%h%m").log
#
# USAGE
#
#
#    $ . kernel.bash
#    $ Diff dmesg1.log dmesg2.log

Clean ()
{
    awk -F: '{$1=""; print}' "$1"
}

Diff ()
{
    ${test+echo} diff -bwu --label "$1" --label "$2" <(Clean "$1") <(Clean "$2")
}

# End of file
